// globals.js
export const width = 800;
export const height = 500;
export const mapWidth = width * 0.7;
export const plotWidth = width - mapWidth;

export const mapSvg = d3
  .select('#my_dataviz')
  .append('svg')
  .attr('width', mapWidth)
  .attr('height', height);

export const plotSvg = d3
  .select('#my_dataviz')
  .append('svg')
  .attr('width', plotWidth)
  .attr('height', height);

export const slider = document.getElementById('myRange');
export const display = document.getElementById('display');

export const margin = {
  top: 20,
  right: 30,
  bottom: 40,
  left: 60,
};

export const nameMapping = {
  USA: 'United States',
  'Democratic Republic of the Congo':
    'Democratic Republic of Congo',
  'Republic of the Congo': 'Republic of Congo',
  'The Bahamas': 'Bahamas',
  England: 'United Kingdom',
  'Guinea Bissau': 'Guinea-Bissau',
  'South Korea': 'Korea',
  Macedonia: 'Macedonia, North',
  'South Sudan': 'Sudan',
  'Republic of Serbia': 'Serbia',
  Swaziland: 'Swaziland/Eswatini',
  'United Republic of Tanzania': 'Tanzania',
  'West Bank': 'Israel',
};
